tcmodinfo(1)

NAME
tcmodinfo - Get and Set information in transcode modules

SYNOPSIS
tcmodinfo [ -i name ] [ -m path ] [ -t type ] [ -M param ] [ -C param ] [ -s socket ] [ -p ] [ -d verbosity ] [ -v ]

COPYRIGHT
tcmodinfo is Copyright (C) by Tilmann Bitterberg/Transcode Team

DESCRIPTION
tcmodinfo loads a supplied transcode(1) module and prints its parameters, or inquiry about default settings. It can also connect to transcode through a socket to do runtime configuration of transcode and its filters. Anyway, this last feature may be moved to some other helper program in future releases.

OPTIONS

-i name
    Specify the name of the module. Name is specified without the prefix (i.e., filter_)_ and without the suffix .so So if you want information about filter_smooth.so, just supply smooth

-m path
    Look in Path instead of the compiled-in module path for a module.

-t type
    Specify the Type of module to load. Default is filter modules. In current (1.1.0) release, tcmodinfo support 'filter', 'encode' and 'multiplex' module types. More types will be added in future releases, to cover all the transcode module range.

-M parameter
    Print out the default setting of given parameter of a given (use -i/-t options too) module. If parameter isn't known, nothing will be print out.
    Caution: -M can't be used together with -C

-C configuration string
    Request to configure the module using given configuration string. Meaning of configuration string is of course module dependent, but format is always
    param1:key1=val1:param2:param3:key2=val2
    This option is used for debug purposes, you usually shouldn't need it.
    Caution: -C can't be used together with -M

-s socket
    Connect to socket socket. You can use this socket to do runtime configuration of transcode. For all the boring details about the socket protocol have a look at /docs/filter-socket.txt. transcode has to be started with the --socket option to open the socket.

-d verbosity
    Specify the verbosiness level to use, like transcode does. Default value is 1 (TC_INFO verbosiness).

-p  Print the compiled-in module path and exit.

-v  Print version information and exit.

EXAMPLES
The command

tcmodinfo -i smooth

prints information about the smooth filter.

tcmodinfo -i levels -t filter

same as above for levels filter (-t filter it's the default)

tcmodinfo -i raw -t multiplex

same as above for raw multiplexor

tcmodinfo -i xvid -t encode

same as above for XviD encoder

transcode --socket /tmp/tc-socket &
echo help | tcmodinfo -s /tmp/tc-socket

prints the socket help text and exits.

tcmodinfo -s /tmp/tc-socket

Will drop you into an interactive "shell" where you can talk to the socket.

AUTHORS
tcmodinfo was written by Tilmann Bitterberg
<transcode@tibit.org> with contributions from many others. See AUTHORS for details.

SEE ALSO
avimerge(1), avisplit(1), tccat(1), tcdecode(1), tcdemux(1), tcextract(1), tcprobe(1), tcscan(1), transcode(1)